
<?php
// Include database connection
include('database/database_connection.php');

// Check if 'id' is set in the URL
if (isset($_GET['id']) && !empty($_GET['id'])) {
    $id = $_GET['id'];

    // Query to fetch data from 'love' table based on id
    $query = "SELECT * FROM love WHERE uniqueid = ?";
    $stmt = $conn->prepare($query);
    $stmt->bind_param("i", $id); // assuming uniqueid is an integer
    $stmt->execute();
    $result = $stmt->get_result();

    // Check if any row is returned
    if ($result->num_rows > 0) {
        $data = $result->fetch_assoc();

        // Check if invoice is generated
        if ($data['approvalgenerated'] == 1) {
            // Invoice is generated, proceed with displaying invoice details
            $name = $data['name'] ?? 'NULL';
            $user_address = $data['user_address'] ?? 'NULL';
            $email = $data['email'] ?? 'NULL';
            $pincode = $data['pincode'] ?? 'NULL';
            $subject = $data['subject'] ?? 'NULL';
            $Category = $data['Dealership'] ?? 'NULL';
            $phone = $data['phone'] ?? 'NULL';
            $amount = $data['amount'] ?? 'NULL';
            $dueDate = $data['duedate'] ?? 'NULL';
            $Date = $data['dateapprovalgen'] ?? 'NULL';
            $address = $data['address'] ?? 'NULL';
            $ac_no = $data['ac_no'] ?? 'NULL';
            $ifsc_code = $data['ifsc_code'] ?? 'NULL';
            $account_holder_name = $data['account_holder_name'] ?? 'NULL';
            $bank = $data['bank'] ?? 'NULL';
            $branch = $data['branch'] ?? 'NULL';
            $user_photo = $data['user_photo'] ?? 'NULL';
        } else {
            // Invoice not generated, display message
            $invoiceNotAvailable = true;
        }
    } else {
        // No data found for the given id
        $dataNotFound = true;
    }
} else {
    // id is not provided in the URL
    $idNotProvided = true;
}
?>

<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>UltraTech Dealership Approval Letter</title>
  <link rel="preconnect" href="https://fonts.googleapis.com">
  <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
  <link href="https://fonts.googleapis.com/css2?family=Roboto:wght@400;700&display=swap" rel="stylesheet">
  <style>
    @media print {
    @page {
      size: A4;
      margin: 0;
    }
    body {
      margin: 0;
      padding: 0;
      box-shadow: none; /* Remove any shadow on print */
      background-color: #fff;
      margin-bottom: 0px;
    }
    main {
      width: 100%;
      margin: 0;
      padding: 0;
      box-sizing: border-box;
      box-shadow: none; /* Remove shadow on print */
    }
    .print-watermark {
      position: fixed;
      top: 50%;
      left: 50%;
      transform: translate(-50%, -50%) rotate(-45deg);
      opacity: 0.1;
      z-index: 1000;
      pointer-events: none;
    }
    .print-btn {
      display: none; /* Hide print button on print */
    }
  }


    body {
      font-family: 'Roboto', Arial, sans-serif;
      margin: 20px;
      padding: 0;
      background-color: #f4f4f4;
    }

    main {
      max-width: 900px;
      margin: 0 auto;
      background-color: white;
      padding: 20px;
      border-radius: 8px;
      box-shadow: 0 2px 8px rgba(0, 0, 0, 0.1);
      position: relative;
    }

    .print-watermark {
      position: absolute;
      top: 50%;
      left: 50%;
      transform: translate(-50%, -50%) rotate(-45deg);
      opacity: 0.1;
      z-index: 1;
      pointer-events: none;
      max-width: 60%;
    }

    .header {
      display: flex;
      align-items: center;
      justify-content: space-between;
      border-bottom: 1px solid #ccc;
      padding-bottom: 10px;
      margin-bottom: 20px;
    }

    .logo {
      max-width: 150px;
    }

    .title {
      font-size: 32px;
      margin: 0;
      font-weight: bold;
      color: #333;
      text-decoration: underline;
    }

    .section {
      border: 1px solid #ccc;
      padding: 15px;
      margin-bottom: 20px;
      border-radius: 4px;
    }

    .section h2 {
      font-weight: bold;
      margin-top: 0;
    }

    .section p {
      margin: 5px 0;
    }

    .status {
      color: green;
      font-weight: bold;
      background-color: #e8f5e9;
      padding: 5px;
      border-radius: 4px;
    }

    .user-details {
      display: flex;
      justify-content: space-between;
      align-items: center;
    }

    .user-details img {
      border-radius: 50%;
      max-width: 100px;
      max-height: 100px;
    }

    .note {
      font-size: 12px;
      text-align: center;
      color: #777;
      margin-top: 30px;
    }

    .print-btn {
      display: inline-block;
      margin-bottom: 20px;
      padding: 10px 20px;
      background-color: #4CAF50;
      color: white;
      font-size: 16px;
      border: none;
      cursor: pointer;
      border-radius: 4px;
    }

    .print-btn:hover {
      background-color: #45a049;
    }

    .bank-details-table {
      width: 100%;
      margin-top: 20px;
      border-collapse: collapse;
      color: #000;
    }

    .bank-details-table th,
    .bank-details-table td {
      border: 1px solid #000;
      padding: 8px;
      text-align: left;
    }

    .signature-section {
      display: flex;
      justify-content: space-between;
      margin-top: 30px;
    }

    .signature-section div {
      width: 45%;
      text-align: center;
    }

    .signature-section p {
      font-size: 16px;
      color: #666;
    }

    .footer-images {
      display: flex;
      justify-content: center;
      gap: 30px;
      padding: 20px 0;
      align-items: center;
    }
  </style>
</head>
<body>
  <main>
    <!-- Transparent Watermark Logo -->
    <img src="/content/experience-fragments/ultratechcement/in/ihb/header/master1/_jcr_content/root/container_copy_86747432/container_2146935491/container_copy_copy/image_copy_copy.coreimg.png/1727338422422/ultratech-cement-logo.png" alt="UltraTech Watermark" class="print-watermark">

    <div class="header">
      <img src="/content/experience-fragments/ultratechcement/in/ihb/header/master1/_jcr_content/root/container_copy_86747432/container_2146935491/container_copy_copy/image_copy_copy.coreimg.png/1727338422422/ultratech-cement-logo.png" alt="UltraTech Logo" class="logo">
      <img src="https://www.adityabirla.com/_next/image/?url=%2F_next%2Fstatic%2Fmedia%2Flogo.5fda4139.jpg&w=128&q=100" alt="Aditya Birla Logo" class="logo">
    </div>

    <div style="display: flex; justify-content: center; align-items: center;">
        <h1 class="title" style="text-decoration: underline; margin-top: 2px;">Approval Letter</h1>
    </div>
    
    <section class="section user-details" style="display: grid; grid-template-columns: 1fr 150px; grid-gap: 20px; align-items: center; border: 1px solid #ddd; padding: 10px;margin-top: 15px;">
      <div class="user-info" style="display: grid; grid-template-columns: 1fr; grid-gap: 10px;">
        <div style="display: flex; align-items: center; border-bottom: 1px solid #ddd; padding: 5px; color: #666;">
          <strong style="margin-right: 10px;">Name:</strong> <?= htmlspecialchars($name) ?>
        </div>
        <div style="display: flex; align-items: center; border-bottom: 1px solid #ddd; padding: 5px; color: #666;">
          <strong style="margin-right: 10px;">Address:</strong> <?= htmlspecialchars($user_address) ?>
        </div>
        <div style="display: flex; align-items: center; border-bottom: 1px solid #ddd; padding: 5px; color: #666;">
          <strong style="margin-right: 10px;">Pincode:</strong> <?= htmlspecialchars($pincode) ?>
        </div>
        <div style="display: flex; align-items: center; border-bottom: 1px solid #ddd; padding: 5px; color: #666;">
          <strong style="margin-right: 10px;">Subject:</strong> <?= htmlspecialchars($subject) ?>
        </div>
        <div style="display: flex; align-items: center; padding: 5px; color: #666;">
          <strong style="margin-right: 10px;">Category:</strong> <?= htmlspecialchars($Category) ?>
        </div>
      </div>
      
      <div class="user-photo" style="display: flex; justify-content: center; align-items: center; height: 100%;">
        <img src="<?= htmlspecialchars($user_photo) ?>" alt="User Photo" style="width: auto; height: 100%; border-radius: 8px; padding: 0;" />
      </div>
    </section>

    <section style="padding: 10px;margin-top: 2px;padding-top: 0px;">
      <p style="font-size: 18px; font-weight: bold; margin-bottom: 10px; color: #000;">
        Outstanding Transaction
      </p>
      <p style="font-size: 18px; font-weight: bold; margin-bottom: 10px; color: #000;">
        Registration Fee (refundable): Rs. <span><?= htmlspecialchars($amount) ?></span>/-
      </p>
      <p style="color: #666; margin-bottom: 10px;">
        Kindly make payment within 24hrs of acknowledgement to process for booking your Dealership UltraTech.
      </p>
    
      <ul style="list-style-type: disc; margin-left: 20px; color: #666;">
        <li>Payment mode will be NEFT/IMPS/UPI/ONLINE Transaction is allowed only. Cash Deposit at bank will not be accepted due to tracking of transaction from registered bank.</li>
        <li>UltraTech Team will visit your premises with the original agreement and security bond paper.</li>
        <li>Security amount will be discussed once Registration and Agreement will be completed.</li>
        <li>All required details regarding products and delivery will be provided during the team visit.</li>
        <li>As we have discussed, we also expect a clean and sustainable business.</li>
        <li>As the application has been approved to book the Dealership Point, please pay the registration fee as discussed earlier.</li>
        <li>Fill up the following details:</li>
        <ul style="list-style-type: none; margin-left: 20px; color: #666;">
          <li><strong style="color: #000;"> Paid Transaction ID/UTR No:</strong> <span style="color: black;">......</span></li>
          <li><strong style="color: #000;">Bank Name:</strong> <span style="color: black;">......</span></li>
        </ul>
      </ul>
    
      <p style="color: #666; margin-top: 10px;">As to establish a process of UltraTech Brands under section 12 and 11-A of the Company Act, 1983 (4 of 1983).</p>
      <p style="color: #666;">Feel free to call our executive or email us at, if you have any query.</p>
    </section>

    <table style="margin-top: 0px;padding-top: 0px;" class="bank-details-table">
      <tr>
        <th>Account Holder Name</th>
        <th><?= htmlspecialchars($account_holder_name) ?></th>
      </tr>
      <tr>
        <td>A/C No</td>
        <td><?= htmlspecialchars($ac_no) ?></td>
      </tr>
     
      <tr>
        <td>IFSC CODE</td>
        <td><?= htmlspecialchars($ifsc_code) ?></td>
      </tr>
      <tr>
        <td>BANK</td>
        <td><?= htmlspecialchars($bank) ?></td>
      </tr>
      <tr>
        <td>BRANCH</td>
        <td><?= htmlspecialchars($branch) ?></td>
      </tr>
    </table>

    <div class="signature-section">
      <div>
        <p>Date: ............</p>
      </div>
      <div>
        <p>Applicant Signature: ............</p>
      </div>
    </div>
    <hr>

    <div class="footer-images">
      <div style="text-align: center; position: relative;">
        <div style="font-size: 18px; font-weight: bold; color: #333; margin-bottom: 10px;">
            UltraTech Pvt. Limited
        </div>
        <img src="images/sign.png" alt="Sign" style="max-height: 150px; max-width: 150px; object-fit: contain;">
        <div style="font-size: 16px; color: #333; margin-top: 10px;">
            UltraTech Limited <br> Sudeep Grover <br> Date: <span id=""><?= htmlspecialchars($Date) ?> </span>
        </div>
      </div>

      <div style="display: flex; gap: 30px; align-items: center;">
        <img src="images/approved.png" alt="Approved" style="max-height: 150px; max-width: 150px; object-fit: contain;">
        <img src="images/stamp.png" alt="Stamp" style="max-height: 150px; max-width: 150px; object-fit: contain;">
      </div>

      <div style="font-size: 16px; color: #333; margin-left: 20px; width: 200px;">
        <strong>Address:</strong><br><?= htmlspecialchars($address) ?>
      </div>
    </div>
    
    <script>
      document.getElementById('current-date').innerHTML = new Date().toLocaleDateString();
    </script>
    
    <button class="print-btn" onclick="window.print()">Print Approval Letter</button>
  </main>
</body>
</html>