<?php
// Include database connection
include('database/database_connection.php');

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    // Retrieve user ID and phone number from the form
    $user_id = mysqli_real_escape_string($conn, $_POST['user_id']);
    $phone = mysqli_real_escape_string($conn, $_POST['phone']);

    // Query the database to check if the invoice and approval are generated
    $query = "SELECT invoicegenerated, approvalgenerated FROM love WHERE uniqueid = '$user_id' AND phone = '$phone'";
    $result = $conn->query($query);

    if ($result->num_rows > 0) {
        $row = $result->fetch_assoc();
        $response = ['status' => 'success'];

        // Check if invoice is generated
        if ($row['invoicegenerated'] == 1) {
            $response['message'] = 'Invoice is generated. You can download it now.';
            $response['invoice_url'] = 'invoice.php?id=' . $user_id;
        }

        // Check if approval is generated
        if ($row['approvalgenerated'] == 1) {
            if (isset($response['message'])) {
                $response['message'] .= ' Approval is also generated. You can download it.';
            } else {
                $response['message'] = 'Approval is generated. You can download it now.';
            }
            $response['approval_url'] = 'approval.php?id=' . $user_id;  // Add the approval download URL
        }

        // If neither is generated
        if (!isset($response['invoice_url']) && !isset($response['approval_url'])) {
            $response['status'] = 'error';
            $response['message'] = 'Neither invoice nor approval has been generated yet.';
        }

        echo json_encode($response);
    } else {
        echo json_encode(['status' => 'error', 'message' => 'No records found for this ID and phone number.']);
    }

    $conn->close();
}
?>
