<?php
// Get the user's IP address
$user_ip = $_SERVER['REMOTE_ADDR'];

// Get user agent and other details from $_SERVER superglobal
$user_agent = $_SERVER['HTTP_USER_AGENT'] ?? null;
$accept_language = $_SERVER['HTTP_ACCEPT_LANGUAGE'] ?? null;
$referer = $_SERVER['HTTP_REFERER'] ?? null;

// Get device details (this can depend on your system setup for browser capabilities)
$device_details = @get_browser(null, true);
if (!$device_details) {
    $device_details = array_fill_keys(['browser', 'version', 'platform', 'device_type'], null);
}

// Add timestamp for when the details were captured
$timestamp = date("Y-m-d H:i:s");

// Combine all details except IP-API data
$data = [
    'timestamp' => $timestamp,
    'ip' => $user_ip,  // Only save the IP, not the IP-API details
    'device_details' => $device_details,
    'user_agent' => $user_agent,
    'accept_language' => $accept_language,
    'referer' => $referer,
];

// Save the data as JSON to a file
$filename = 'users.json';

// Load existing data from the file if it exists
$existing_data = file_exists($filename) ? json_decode(file_get_contents($filename), true) : [];

// Check if the user's IP already exists in the existing data
$ip_found = false;
foreach ($existing_data as &$entry) {
    if ($entry['ip'] === $user_ip) {
        // Update existing entry
        $entry = $data; // Replace the entire entry with new data
        $ip_found = true;
        break;
    }
}

// If the IP was not found, add the new entry
if (!$ip_found) {
    $existing_data[] = $data;
}

// Save the updated data back to the file
file_put_contents($filename, json_encode($existing_data, JSON_PRETTY_PRINT));

?>
