document.addEventListener("DOMContentLoaded", (event) => {

    const showModalBtn = document.querySelectorAll(".show-modal");
    let bottomSheet;
    let sheetContent;
    let dragIcon;
    let crossIcons;


    var gray = document.querySelectorAll('.black-back-container');
    showModalBtn.forEach((data) => {
        data.addEventListener("click", (event) => {
            const buttonId = event.target.id;
            var sheet = document.querySelectorAll(`#${buttonId}`);
            bottomSheet = sheet[1].closest(".bottom-sheet");;

            sheetContent = bottomSheet.querySelector(".content");

            dragIcon = bottomSheet.querySelector(".drag-icon");

            console.log(bottomSheet);
            console.log(sheetContent);
            console.log(dragIcon);
            showBottomSheet();
            dragIcon.addEventListener("mousedown", dragStart);
            document.addEventListener("mousemove", dragging);
            document.addEventListener("mouseup", dragStop);
            dragIcon.addEventListener("touchstart", dragStart);
            document.addEventListener("touchmove", dragging);
            document.addEventListener("touchend", dragStop);

        });
    })


    // Global variables for tracking drag events
    let isDragging = false, startY, startHeight;

    // Show the bottom sheet, hide body vertical scrollbar, and call updateSheetHeight
    const showBottomSheet = () => {
        bottomSheet.classList.add("show");
        //    var grayModel =  bottomSheet.querySelector(".black-back-container");
        gray.forEach((data) => {
            data.classList.add("active");
        })
        document.body.style.overflowY = "hidden";
        updateSheetHeight(90);
    }

    const elements = document.querySelectorAll('.cross-span-image');

    elements.forEach(element => {
        element.addEventListener('click', () => {
            hideBottomSheet();
            heightzero();
        });
    });



    function heightzero(data) {
        updateSheetHeight(0);
    }
    const updateSheetHeight = (height) => {
        sheetContent.style.height = `${height}vh`; //updates the height of the sheet content
        // Toggles the fullscreen class to bottomSheet if the height is equal to 100
        bottomSheet.classList.toggle("fullscreen", height === 90);
    }

    // Hide the bottom sheet and show body vertical scrollbar
    const hideBottomSheet = () => {

        bottomSheet.classList.remove("show");
        gray.forEach((data) => {
            data.classList.remove("active");
        })
        updateSheetHeight(0);

        document.body.style.overflowY = "auto";
    }



    // Sets initial drag position, sheetContent height and add dragging class to the bottom sheet
    const dragStart = (e) => {
        isDragging = true;
        startY = e.pageY || e.touches?.[0].pageY;
        startHeight = parseInt(sheetContent.style.height);
        bottomSheet.classList.add("dragging");
    }

    // Calculates the new height for the sheet content and call the updateSheetHeight function
    const dragging = (e) => {
        if (!isDragging) return;
        const delta = startY - (e.pageY || e.touches?.[0].pageY);
        const newHeight = startHeight + delta / window.innerHeight * 100;
        updateSheetHeight(newHeight);
    }

    // Determines whether to hide, set to fullscreen, or set to default 
    // height based on the current height of the sheet content
    const dragStop = () => {
        isDragging = false;
        bottomSheet.classList.remove("dragging");
        const sheetHeight = parseInt(sheetContent.style.height);
        sheetHeight < 25 ? hideBottomSheet() : sheetHeight > 75 ? updateSheetHeight(90) : updateSheetHeight(35);
    }



    const element = document.querySelector('.bg-white--border-green');
    const violetelement = document.querySelector('.bg-white--border-violet');
    const orangelement = document.querySelector('.bg-white--border-orange');
    const brownelement = document.querySelector('.bg-white--border-brown');
    const blueelement = document.querySelector('.bg-white--border-blue');

    if (element) {
        element.addEventListener('click', () => {
            const tabs = document.querySelectorAll('.cmp-tabs--simple-square-white-tabs--infra .cmp-tabs__tab');
            let found = false;

            tabs.forEach(tab => {
                if (tab.textContent.includes('Durability Multiplier')) {
                    tab.click();
                    found = true;
                }
            });

            if (!found) {
                console.error('Tab with text "Smart Repair Solution" not found.');
            }
        });
    } else {
        console.error('Element with the specified classes not found.');
    }

    if (violetelement) {
        violetelement.addEventListener('click', () => {
            const tabs = document.querySelectorAll('.cmp-tabs--simple-square-white-tabs--infra .cmp-tabs__tab');
            let found = false;

            tabs.forEach(tab => {
                if (tab.textContent.includes('Smart Repair Solutions')) {
                    tab.click();
                    found = true;
                }
            });

            if (!found) {
                console.error('Tab with text "Smart Repair Solution" not found.');
            }
        });
    } else {
        console.error('Element with the specified classes not found.');
    }

    if (orangelement) {
        orangelement.addEventListener('click', () => {
            const tabs = document.querySelectorAll('.cmp-tabs--simple-square-white-tabs--infra .cmp-tabs__tab');
            let found = false;

            tabs.forEach(tab => {
                if (tab.textContent.includes('Advanced Structural Solutions')) {
                    tab.click();
                    found = true;
                }
            });

            if (!found) {
                console.error('Tab with text "Smart Repair Solution" not found.');
            }
        });
    } else {
        console.error('Element with the specified classes not found.');
    }

    if (brownelement) {
        brownelement.addEventListener('click', () => {
            const tabs = document.querySelectorAll('.cmp-tabs--simple-square-white-tabs--infra .cmp-tabs__tab');
            let found = false;

            tabs.forEach(tab => {
                if (tab.textContent.includes('Floor & Slab Solutions')) {
                    tab.click();
                    found = true;
                }
            });

            if (!found) {
                console.error('Tab with text "Smart Repair Solution" not found.');
            }
        });
    } else {
        console.error('Element with the specified classes not found.');
    }


    if (blueelement) {
        blueelement.addEventListener('click', () => {
            const tabs = document.querySelectorAll('.cmp-tabs--simple-square-white-tabs--infra .cmp-tabs__tab');
            let found = false;

            tabs.forEach(tab => {
                if (tab.textContent.includes('Decorative Solutions')) {
                    tab.click();
                    found = true;
                }
            });

            if (!found) {
                console.error('Tab with text "Smart Repair Solution" not found.');
            }
        });
    } else {
        console.error('Element with the specified classes not found.');
    }


});
