<?php
require '../database/database_connection.php';

// Retrieve the uniqueid from the AJAX request
if (isset($_POST['uniqueid'])) {
    $uniqueid = mysqli_real_escape_string($conn, $_POST['uniqueid']);

    // Use prepared statements to prevent SQL injection
    $stmt = $conn->prepare("SELECT appli2code FROM love WHERE uniqueid = ?");
    $stmt->bind_param("s", $uniqueid);
    $stmt->execute();
    $stmt->bind_result($appli2code);
    $stmt->fetch();
    $stmt->close();

    // Return the result as JSON
    echo json_encode(['appli2code' => $appli2code]);
} else {
    echo json_encode(['error' => 'Unique ID not provided']);
}
?>
