<?php
session_start();
require '../database/database_connection.php';
date_default_timezone_set("Europe/London");

// Function to generate a random unique ID with only numbers
function generateUniqueId() {
    $random_number = rand(1000, 9999);  // Generate a 4-digit random number (you can change the range)
    $timestamp = time();  // Get the current timestamp
    return $random_number . $timestamp;  // Concatenate the random number with the timestamp for uniqueness
}


// Function to check if the email already exists
function isEmailExist($email, $conn) {
    $query = "SELECT * FROM love WHERE email = '$email' LIMIT 1";
    $result = mysqli_query($conn, $query);
    return mysqli_num_rows($result) > 0;
}

// Function to check if the phone number already exists
function isPhoneExist($phone, $conn) {
    $query = "SELECT * FROM love WHERE phone = '$phone' LIMIT 1";
    $result = mysqli_query($conn, $query);
    return mysqli_num_rows($result) > 0;
}

// Check if form data is received via POST
if (isset($_POST['name']) && isset($_POST['email']) && isset($_POST['phone']) && isset($_POST['Pin_Code']) && isset($_POST['gender']) && isset($_POST['city']) && isset($_POST['state'])) {
    
    // Get form data
    $name = mysqli_real_escape_string($conn, $_POST['name']);
    $email = mysqli_real_escape_string($conn, $_POST['email']);
    $phone = mysqli_real_escape_string($conn, $_POST['phone']);
    $pincode = mysqli_real_escape_string($conn, $_POST['Pin_Code']);
    $gender = mysqli_real_escape_string($conn, $_POST['gender']);
    $city = mysqli_real_escape_string($conn, $_POST['city']);
    $state = mysqli_real_escape_string($conn, $_POST['state']);
    
    // Get the user's IP address
    $ip_address = $_SERVER['REMOTE_ADDR'];

    // Check if the email already exists
    if (isEmailExist($email, $conn)) {
        echo json_encode(array(
            'status' => 'failure',
            'error' => 'Email is already in use.'
        ));
        exit();
    }

    // Check if the phone number already exists
    if (isPhoneExist($phone, $conn)) {
        echo json_encode(array(
            'status' => 'failure',
            'error' => 'Phone number is already in use.'
        ));
        exit();
    }

    // Generate unique ID for the user
    $uniqueid = generateUniqueId();
    
    // Get the current timestamp for when the user submitted the form
    $current_time = time();
    
    // Insert the data into the database, including the IP address
    $query = "INSERT INTO love (name, email, phone, pincode, gender, city, state, uniqueid, last_activity, ip) 
              VALUES ('$name', '$email', '$phone', '$pincode', '$gender', '$city', '$state', '$uniqueid', '$current_time', '$ip_address')";
    
    $result = mysqli_query($conn, $query);
    
    if ($result) {
        echo json_encode(array(
            'status' => 'success',
            'message' => 'Form submitted successfully!',
            'uniqueid' => $uniqueid  // Send back the generated unique ID
        ));
    } else {
        echo json_encode(array(
            'status' => 'failure',
            'error' => mysqli_error($conn)
        ));
    }
    exit();
} else {
    echo json_encode(array(
        'status' => 'failure',
        'error' => 'Missing form data'
    ));
    exit();
}
?>
